﻿.process{
    position: relative;
    display: block;
    width: 100%;
    height: 100vh;
}
.process-box{
    width: 1280px;
    max-width: 100%;
    height: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
}
.process-bcimg-box{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    pointer-events: none;
}
.process-bcimg{
    width: 100%;
    height: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;

}
.process-text-box{
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 10;
}
.process-text{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items:center;
    position: relative;
}

.process-text span{
    letter-spacing: 2px;
    font-size: 18px;
    font-family: "微軟正黑體";
    color: #FFF;
}
.process-text-info{
    width: 100%;
    position: absolute;
    top: 15vh;
    vertical-align: middle;
    text-align: center;
    opacity: 0;
    z-index: 10;
    color: #FFF;
}
.process-text-info span{
    font-size: 24px;
    font-family: "Noto Sans TC";
    letter-spacing: 3px;
    font-weight: bold;
}

.process-text-info-line span{
    display: block;
    position: relative;
    background-color: #FFF;
    width: 260px;
    height: 1px;
    bottom: 0px;
    margin: 10px auto;
    opacity: 0;
}
.process-text-followlogo{
    max-width:100%;
    height: 100%;
    position: absolute;
    z-index: 9;
    display: block;
    text-align: center;
    right: 3%;
    writing-mode: vertical-lr;
    writing-mode: tb-rl;
    top: 0;
}

.process-text-followlogo-box span{
    font-size: 120px;
    font-family: "Anton";
    color: #f8f8f8;
    letter-spacing: 10px;
    opacity: 0;
}
.process-img-info-box{
    width: 100%;
    display: flex;
    justify-content: center;
    align-content: center;
}
.process-img-info{
    width: 200px;
    max-width: 100%;
    height: 200px;
    background-color: rgba(0,142,166,0.5);
    position: relative;
    display: block;
    border-radius: 10px;
    padding: 25px;
    box-sizing: border-box;
    transition: all 0.5s ease;
}
.process-text i{
    font-size: 46px;
    color: #fff;
    margin-left: 23px;
    margin-right: 18px;
}
.process-img-box{
    background-color: #FFF;
    width: 100%;
    height: 100%;
    display: block; 
    border-radius: 10px;
    box-shadow: 0 0 5px 2px ;
}
.process-img-text-box{
    width: 100%;
    height: 100%;
    position: relative;
    text-align: center;
}
.process-img-setp{
    font-size: 16px;
    font-family: "Anton";
    position: absolute;
    padding: 5px 10px;
    letter-spacing: 1px;
    color: #555;
}
.process-img{
    padding-top: 35px;
    margin-bottom: 5px;
}
.process-img2{
    padding-top: 35px;
    margin-bottom: 5px;
}
.process-img2{
    padding-top: 35px;
    margin-bottom: 5px;
}
.process-img-text{
    font-size: 16px;
    font-family: "微軟正黑體";
    letter-spacing: 2px;
    position: absolute;
    width: 100%;
    text-align: center;
}
.process-cube-box{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    bottom: 0;
    right: 0;
    opacity: 0;

}
.process-cube{
    display: block;
    position: absolute;
    width: 100%;
    z-index: 8;
    padding-left: calc((100% / 6) - 4px);
    bottom: 0;
    opacity: 0.8;
    box-sizing: border-box;
}
.fas-down{
    display: none;
}
.process-line-box{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top:0;
    opacity: 0;
}
.process-img-info:hover{
    background-color: rgba(0,142,166,1);
}
/*-----------------animation----------------------*/
.process-line-box.active{
    animation: linetopshorttolong 1s ease; 
    opacity: 1;
}
.process-text-info-line span.active{
    opacity: 1;
    animation: firefromleft 1s ease;
}
.process-text-info.active{
    opacity: 1;
    animation: inUp 1s ease;
}
.process-text-followlogo-box span.active{
    opacity: 0.3;
    animation: sizefrombig 1s ease;
}
.process-cube-box.active{
    opacity: 1;
    animation: widthsmalltobig 2s ease;
}